Bug 847769 - Always get CIFS error "mount error(22): Invalid argument" with kernel 3.4+
Always get CIFS error "mount error(22): Invalid argument" with kernel 3.4+
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Sachin Prabhu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 09:38 EDT by Albert Strasheim
Modified: 2012-08-15 09:02 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 832741
Environment:
Last Closed: 2012-08-14 08:39:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Strasheim 2012-08-13 09:38:43 EDT
Same problem on F16 with kernel-3.4.7-1.fc16.x86_64.

+++ This bug was initially created as a clone of Bug #832741 +++

Description of problem:
I recently upgraded to Fedora 17 and immediately did the system updates.  I tried to mount shares from a NAS using CIFS and I would always get "mount error(22): Invalid argument".  Note, I used the same mount technique as I did in Fedora 16.

After about an hour of searching, I found some Ubuntu users had the very same issue.  A suggested work around was to test using a kernel below 3.4 to see if it worked again.  I tried this with Fedora 17 and I am able to mount the share.

Here is the url for the Ubuntu problem description:
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/995535


Version-Release number of selected component (if applicable):
kernel-PAE-3.4.0-1.fc17.i686
cifs-utils-5.5-1.fc17.i686


How reproducible:


Steps to Reproduce:
1. mount -t cifs -o user=user,pass=pass //<server>/<share> /mnt/<dir>
  
Actual results:
mount error(22): Invalid argument
Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)


Expected results:
The share specified by the above command should be mounted.


Additional info:

--- Additional comment from jlayton@redhat.com on 2012-06-17 06:28:45 EDT ---

Possibly a problem with the overhauled mount option parser in 3.4.

Does anything pop up in dmesg when you get this error? Could you do the same mount command and add '-v' and post the output here?

--- Additional comment from kevin.dosey@gmail.com on 2012-06-17 09:55:06 EDT ---

Below is the requested info.  I thought I had seen more output from trying this before, but maybe it was something else.  This is from multiple attempts, not just one, because I expected more output.

Hopefully you don't mind that I replaced the actual ip address with <ip>, along with the <username> and <pass>.

console:
[root@linux ~]# mount --verbose -t cifs -o user=<username>,pass=<pass> //<ip>/media /mnt/backup/media
mount.cifs kernel mount options: ip=<ip>,unc=\\<ip>\media,noexec,nosuid,nodev,,user=<username>,pass=********
mount error(22): Invalid argument
Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
[root@linux ~]# mount.cifs -v -o user=<username>,pass=<pass> //<ip>/media /mnt/backup/media
mount.cifs kernel mount options: ip=<ip>,unc=\\<ip>\media,user=<username>,pass=********
mount error(22): Invalid argument
Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
[root@linux ~]# mount.cifs -o user=<username>,pass=<pass> //<ip>/media /mnt/backup/media -v
mount.cifs kernel mount options: ip=<ip>,unc=\\<ip>\media,user=<username>,pass=********
mount error(22): Invalid argument
Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
[root@linux ~]# mount.cifs -o user=<username>,pass=<pass> //<ip>/media /mnt/backup/media --verbose
mount.cifs kernel mount options: ip=<ip>,unc=\\<ip>\media,user=<username>,pass=********
mount error(22): Invalid argument
Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)

dmesg:
[  237.636927] FS-Cache: Loaded
[  237.656645] FS-Cache: Netfs 'cifs' registered for caching
[  237.676067] CIFS VFS: default security mechanism requested.  The default security mechanism will be upgraded from ntlm to ntlmv2 in kernel release 3.3
[  238.775042] CIFS VFS: Connecting to DFS root not implemented yet
[  238.775166] CIFS VFS: cifs_mount failed w/return code = -22
[  303.960791] CIFS VFS: Connecting to DFS root not implemented yet
[  303.960918] CIFS VFS: cifs_mount failed w/return code = -22
[  322.494906] CIFS VFS: Connecting to DFS root not implemented yet
[  322.495054] CIFS VFS: cifs_mount failed w/return code = -22
[  423.543173] CIFS VFS: Connecting to DFS root not implemented yet
[  423.543299] CIFS VFS: cifs_mount failed w/return code = -22
[  432.864261] CIFS VFS: Connecting to DFS root not implemented yet
[  432.864388] CIFS VFS: cifs_mount failed w/return code = -22

/var/log/messages:
Jun 17 09:43:22 linux kernel: [  303.960791] CIFS VFS: Connecting to DFS root not implemented yet
Jun 17 09:43:22 linux kernel: [  303.960918] CIFS VFS: cifs_mount failed w/return code = -22
Jun 17 09:43:32 linux dbus-daemon[522]: ** Message: No devices in use, exit
Jun 17 09:43:40 linux kernel: [  322.494906] CIFS VFS: Connecting to DFS root not implemented yet
Jun 17 09:43:40 linux kernel: [  322.495054] CIFS VFS: cifs_mount failed w/return code = -22
Jun 17 09:45:21 linux kernel: [  423.543173] CIFS VFS: Connecting to DFS root not implemented yet
Jun 17 09:45:21 linux kernel: [  423.543299] CIFS VFS: cifs_mount failed w/return code = -22
Jun 17 09:45:31 linux kernel: [  432.864261] CIFS VFS: Connecting to DFS root not implemented yet
Jun 17 09:45:31 linux kernel: [  432.864388] CIFS VFS: cifs_mount failed w/return code = -22

--- Additional comment from redhat@blino.org on 2012-06-17 18:18:36 EDT ---

This looks similar to this openSUSE bug:
https://bugzilla.novell.com/show_bug.cgi?id=764402

They got this fix queued upstream:
https://git.samba.org/sfrench/?p=sfrench/cifs-2.6.git;a=commitdiff;h=e73f843a3235a19de38359c91586e9eadef12238

--- Additional comment from sprabhu@redhat.com on 2012-06-18 05:57:14 EDT ---

The patch in c#3 is the right one.

--- Additional comment from jwboyer@redhat.com on 2012-06-18 08:38:14 EDT ---

I've committed it to fedora git.

--- Additional comment from nerijus@users.sourceforge.net on 2012-06-22 06:10:15 EDT ---

Happens on F16 too.

--- Additional comment from freddy@freddywillemsen.nl on 2012-06-22 08:07:52 EDT ---

I am hitting this bug as well.

>> I've committed it to fedora git.

Does this mean we can expect a working rpm in the near future?

--- Additional comment from jwboyer@redhat.com on 2012-06-22 08:45:45 EDT ---

(In reply to comment #7)
> I am hitting this bug as well.
> 
> >> I've committed it to fedora git.
> 
> Does this mean we can expect a working rpm in the near future?

The fix should be in the 3.4.3 kernel update that is already in stable for F17.

It will be fixed in F16 in the next build.

--- Additional comment from freddy@freddywillemsen.nl on 2012-06-22 09:54:29 EDT ---

Allright, that kernel indeed fixes it.

--- Additional comment from updates@fedoraproject.org on 2012-06-26 20:11:49 EDT ---

kernel-3.4.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.4.4-3.fc16

--- Additional comment from updates@fedoraproject.org on 2012-07-05 19:50:55 EDT ---

kernel-3.4.4-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.4.4-4.fc16

--- Additional comment from updates@fedoraproject.org on 2012-07-08 16:52:03 EDT ---

kernel-3.4.4-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from nerijus@users.sourceforge.net on 2012-07-09 17:29:14 EDT ---

Unfortunately, 3.4.4-4.fc16 does not help, still the same error
CIFS VFS: Connecting to DFS root not implemented yet
CIFS VFS: cifs_mount failed w/return code = -22
3.3.x works.

--- Additional comment from baifcc@hotmail.com on 2012-08-11 22:25:58 EDT ---

3.4.7-1.fc16.x86_64

baif@X61  1036 0 Sun 2012.08.12 10:24:01 CST ~
$ sudo tail /var/log/messages
Aug 12 10:20:04 X61 kernel: [ 2208.449608] CIFS VFS: Connecting to DFS root not implemented yet
Aug 12 10:20:04 X61 kernel: [ 2208.449730] CIFS VFS: cifs_mount failed w/return code = -22
Aug 12 10:21:22 X61 kernel: [ 2287.159559] CIFS VFS: Connecting to DFS root not implemented yet
Aug 12 10:21:22 X61 kernel: [ 2287.159682] CIFS VFS: cifs_mount failed w/return code = -22
Aug 12 10:22:39 X61 kernel: [ 2363.658587] CIFS VFS: Connecting to DFS root not implemented yet
Aug 12 10:22:39 X61 kernel: [ 2363.658649] CIFS VFS: cifs_mount failed w/return code = -22
Aug 12 10:23:57 X61 kernel: [ 2441.347807] CIFS VFS: Connecting to DFS root not implemented yet
Aug 12 10:23:57 X61 kernel: [ 2441.347869] CIFS VFS: cifs_mount failed w/return code = -22
Aug 12 10:24:01 X61 kernel: [ 2445.677687] CIFS VFS: Connecting to DFS root not implemented yet
Aug 12 10:24:01 X61 kernel: [ 2445.677751] CIFS VFS: cifs_mount failed w/return code = -22

baif@X61  1037 0 Sun 2012.08.12 10:24:08 CST ~
$ uname -a

Linux X61 3.4.7-1.fc16.x86_64 #1 SMP Mon Jul 30 16:37:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

baif@X61  1038 0 Sun 2012.08.12 10:24:54 CST ~
$ cat /etc/redhat-release 
Fedora release 16 (Verne)

--- Additional comment from fullung@gmail.com on 2012-08-13 07:41:16 EDT ---

Yep, 3.4.7-1.fc16.x86_64 seems broken for me too.

--- Additional comment from jlayton@redhat.com on 2012-08-13 09:35:01 EDT ---

I recommend cloning this bug for f16 if the bug is there too...
Comment 1 Sachin Prabhu 2012-08-13 14:21:57 EDT
# uname -r
3.4.7-1.fc16.x86_64

#  mount -t cifs -o username=wintest1,password=xxxx,vers=1.0,nounix 192.168.140.52:/DFS_Public /mnt1

# cd /mnt1/test
[root@vm140-42 test]# ls -l
total 13
-rwxr-xr-x. 0 root root    7 Jul 31 17:19 aa
..

# df
Filesystem                   1K-blocks     Used Available Use% Mounted on
rootfs                         8923948  1231304   7244952  15% /
devtmpfs                        500368        0    500368   0% /dev
tmpfs                           509772        0    509772   0% /dev/shm
tmpfs                           509772      496    509276   1% /run
/dev/mapper/VolGroup-lv_root   8923948  1231304   7244952  15% /
tmpfs                           509772        0    509772   0% /sys/fs/cgroup
tmpfs                           509772        0    509772   0% /media
/dev/vda1                       508644    46525    436519  10% /boot
192.168.140.52:/DFS_Public   104753148 16039648  88713500  16% /mnt1
\\VM140-52\exports           104753148 16039648  88713500  16% /mnt1/test

# rpm -q cifs-utils
cifs-utils-5.6-1.fc16.x86_64


This could be a different problem. Can you please provide me with the mount options being used to mount the share.
Comment 2 Albert Strasheim 2012-08-14 08:39:18 EDT
yum install cifs-utils fixed the problem.

Strange that it worked before without that installed...
Comment 3 Baif 2012-08-15 09:02:22 EDT
Confirmed on F16, installed cifs-utils 

Installed:
  cifs-utils.x86_64 0:5.6-1.fc16

Dependency Installed:
  keyutils.x86_64 0:1.5.2-1.fc16

Fixed this issue on 3.4.7-1.fc16.x86_64.  Before upgraded to latest 3.4.7-1.fc16. I didn't have cifs-utils installed, but the CIFS mount worked on Windows XP shares.

Note You need to log in before you can comment on or make changes to this bug.